#include<stdio.h>
#include<stdlib.h>
int main(void)
    {
    int a,b,i,j,k,br=1,c[1000],d[1000],fake,minbr=32767,maxbr=0,highfakes=32767,help,omfg=0;
    scanf("%d%d",&a,&b);
    c[0]=1;
    c[b-1]=a;
    d[0]=1;
    d[b-1]=a;
    for(k=1;k<a;k++){
                     for(i=1;i<b-1;i++)
                                     c[i]=c[i-1]+k;
                     for(i=0;i<b-1;i++)
                                       if((c[i]+k)==c[i+1])
                                                           br++;
                     if(br==b)break;
                     else br=1;
    }
    if(br==1)
             for(k=1;k<a;k++){
                              for(i=1;i<b-1;i++){
                                                 if((d[i-1]+k)>=a){omfg=1;break;}
                                                 d[i]=d[i-1]+k;
                              }
                              if(omfg==1){omfg=0;continue;}
                              for(i=0;i<b-1;i++){
                                                 if((d[i]+k)>d[i+1]){
                                                                     help=d[i]+k-d[i+1];
                                                                     if(help<minbr)minbr=help;
                                                 }
                                                 if((d[i]+k)<d[i+1]){
                                                                     help=d[i+1]-k-d[i];
                                                                     if(help<minbr)minbr=help;
                                                 }
                              }
                              if(minbr>maxbr)
                                             fake=minbr-maxbr;
                              if(maxbr>minbr)
                                             fake=maxbr-minbr;
                              if(fake<highfakes){
                                                highfakes=fake;
                                                for(i=0;i<b;i++)
                                                                c[i]=d[i];
                              }
    }
    for(i=0;i<b;i++)printf("%d ",c[i]);
    printf("\n");
return 0;
}
    
